Bug 201548 - IndexedDB: cache prepared SQLiteStatement in SQLiteIDBCursor
Summary: IndexedDB: cache prepared SQLiteStatement in SQLiteIDBCursor
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sihui Liu
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-09-06 10:29 PDT by Sihui Liu
Modified: 2019-09-10 12:43 PDT (History)
8 users (show)

See Also:


Attachments
Patch (3.86 KB, patch)
2019-09-06 10:40 PDT, Sihui Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sihui Liu 2019-09-06 10:29:14 PDT
... so we don't need to create and compile the statement every time we use it.
Comment 1 Sihui Liu 2019-09-06 10:40:00 PDT
Created attachment 378204 [details]
Patch
Comment 2 Sihui Liu 2019-09-09 13:43:49 PDT
This change does not make an improvement on test benchmark; but there is a small improvement on the execution time of SQLiteIDBCursor::internalFetchNextRecord when running tests like PerformanceTests/IndexedDB/basic/index-cursor-advance.html (using MonotonicTime to check the execution time).
Comment 3 WebKit Commit Bot 2019-09-10 12:42:36 PDT
Comment on attachment 378204 [details]
Patch

Clearing flags on attachment: 378204

Committed r249729: <https://trac.webkit.org/changeset/249729>
Comment 4 WebKit Commit Bot 2019-09-10 12:42:38 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-09-10 12:43:20 PDT
<rdar://problem/55232336>
Comment 6 Radar WebKit Bug Importer 2019-09-10 12:43:20 PDT
<rdar://problem/55232337>